[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#799811: gcc-5: Segfaults with LD_BIND_NOW set in environment



On 2015-09-22 17:39, Camm Maguire wrote:
> Package: gcc-5
> Version: 5.2.1-17
> Severity: important
> 
> Dear Maintainer,
> 
> (sid_mipsel-dchroot)camm@eder:~/gcl/gcl$ LD_BIND_NOW=1 gcc -v
> Segmentation fault

It seems the issue, is triggered by the switch to -mplt by default, as
requested in bug#797971 and implemented in version 5.2.1-17. I haven't
found any other affected binaries than the gcc related ones, but not
that many have been rebuilt yet. The issue affects both mips and mipsel,
but not mips64el.

Does someone has an idea about the issue and how to fix it? If we don't
really have a solution, I think the best is to revert the default to
--mno-plt.

Aurelien

-- 
Aurelien Jarno                          GPG: 4096R/1DDD8C9B
aurelien@aurel32.net                 http://www.aurel32.net


Reply to: